PCI_GET_CLASS(9)

NAME
pci_get_class - begin or continue searching for a PCI device by class

SYNOPSIS

struct pci_dev * pci_get_class(unsigned int class, struct pci_dev * from);

ARGUMENTS

class
    search for a PCI device with this class designation

from
    Previous PCI device found in search, or NULL for new search.

DESCRIPTION

Iterates through the list of known PCI devices. If a PCI device is found with a matching class, the reference count to the device is incremented and a pointer to its device structure is returned. Otherwise, NULL is returned. A new search is initiated by passing NULL as the from argument. Otherwise if from is not NULL, searches continue from next device on the global list. The reference count for from is always decremented if it is not NULL.

COPYRIGHT